/*!
    \file   df_lua_active_mode.h
    \author Bernd Ottmann
    \date   21.02.2003
    \brief  Deklarationen der Funktionen für den Active-Mode.
*/
#ifndef DF_LUA_ACTIVE_MODE_H
#define DF_LUA_ACTIVE_MODE_H

#include "df_lua_api.h"

#if (DF_API_VERSION >= 0x04030600)
int l_startActiveMode( lua_State *L );
int l_stopActiveMode( lua_State *L );
int l_getActiveModeFirstId( lua_State *L );
int l_getActiveModeNextId( lua_State *L );
int l_getActiveModeInfo( lua_State *L );
int l_setActiveModeNotify( lua_State *L );
int l_getActiveModeNotifyAvailable( lua_State *L );
int l_bindActiveModeChannel( lua_State *L );
#endif

#endif
